Package Details: fityk 1.3.0-1

Git Clone URL: https://aur.archlinux.org/fityk.git (read-only)
Package Base: fityk
Description: A program for nonlinear fitting of analytical functions to data.
Upstream URL: http://fityk.nieto.pl/
Licenses: GPL
Submitter: td123
Maintainer: masutu
Last Packager: masutu
Votes: 17
Popularity: 0.037506
First Submitted: 2012-02-17 02:15
Last Updated: 2015-06-23 22:27

Latest Comments

cluminescence commented on 2016-02-18 14:12

had an error during building today:

"Source should be an array"

Needed to add brackets around the source(!) url in pckgbuild, worked fine afterwards.

(on 4.2.8.1-1-MANJARO)

masutu commented on 2015-05-29 01:16

@saxonbeta: thanks again!

saxonbeta commented on 2015-05-28 16:19

Version 1.3 has been released and it solves the problem with lua version!

saxonbeta commented on 2015-05-21 02:45

I am getting the next error:

checking lua.h version is in range 501 <= v < 503... (found Lua 5.3, 503)... no
configure: error: in `/tmp/yaourt-tmp-xxx/aur-fityk/src/fityk-1.2.9':
configure: error: lua.h version not in desired range

Maybe this package can be used [url]https://aur.archlinux.org/packages/lua51-static/[/url] instead the newer version in repos



masutu commented on 2014-04-15 20:55

@saxonbeta: done, thx

saxonbeta commented on 2014-04-13 15:14

Version 1.2.9 has been released, please update the package :)
https://github.com/wojdyr/fityk/releases/tag/v1.2.9

masutu commented on 2014-03-11 00:32

@olli: yep, thanks, updated

olli commented on 2014-02-25 16:20

The github link does not work anymore, change to

https://github.com/wojdyr/fityk/releases/download/v1.2.1/fityk-1.2.1.tar.bz2

masutu commented on 2014-02-13 15:24

@sirocco: that's right, didn't realize that is was removed, updated PKGBUILD (now depends on wxgtk, which is at v3.0.0), thanks

sirocco commented on 2014-02-07 09:46

wxgtk2.9 does not exist in community or AUR currently.

masutu commented on 2013-05-02 19:25

Switched from pulling source via git to downloading the tarball to make this package different from fityk-git (https://aur.archlinux.org/packages/fityk-git).

masutu commented on 2012-06-22 23:58

@henkm: thanks for testing, added x86_64. i was using wxgtk-2.9 from the aur, didn't realize that wxgtk2.9 is in community

@all: new pkgrel, because depends changed from wxgtk-2.9 to wxgtk2.9, no need to update

Anonymous comment on 2012-06-18 14:48

thanks for updating. As is, I need to add x86_64 arch and change the dependency from wxgtk-2.9 to wxgtk2.9 (no dash), then it works fine.

donpicoro commented on 2012-06-13 00:47

It won't compile under the current swig version due to this bug:

http://sourceforge.net/mailarchive/message.php?msg_id=29204945

but if you use their workaround (include the macros temporarily) it will compile. I reverted the swig file to its original state afterwards and fityk seem to be working properly

I do not really used this package, I just needed to read some CNF files but since it was orphaned I decided to gave it a go. Please use it and let me know if it works for you.